package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItemdiscountQueryitemsRequest struct {
	/*
	   查询入参     */
	Param *domain.AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingItemdiscountQueryitemsRequest) SetParam(v domain.AlibabaHmMarketingItemdiscountQueryitemsActivitySkuQuery) *AlibabaHmMarketingItemdiscountQueryitemsRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingItemdiscountQueryitemsRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItemdiscountQueryitemsRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
